summaryrefslogtreecommitdiff
path: root/packaging/SGI
diff options
context:
space:
mode:
authorHerb Lewis <herb@samba.org>1997-12-01 14:50:52 +0000
committerHerb Lewis <herb@samba.org>1997-12-01 14:50:52 +0000
commit365f1eadaa969e807dd8906a3291100b4a37def6 (patch)
tree4f9ad67c913eed8811ecece693b03f25b51e28b8 /packaging/SGI
parentbea2394b49bfa5db08c45b2ff76e5bb643cec629 (diff)
downloadsamba-365f1eadaa969e807dd8906a3291100b4a37def6.tar.gz
samba-365f1eadaa969e807dd8906a3291100b4a37def6.tar.bz2
samba-365f1eadaa969e807dd8906a3291100b4a37def6.zip
dded error checking to scripts
(This used to be commit b7e1265f106010e03d92575f4578162ec659994b)
Diffstat (limited to 'packaging/SGI')
-rwxr-xr-xpackaging/SGI/idb.pl6
-rwxr-xr-xpackaging/SGI/makefile.pl4
-rwxr-xr-xpackaging/SGI/mkrelease.sh29
-rwxr-xr-xpackaging/SGI/spec.pl6
4 files changed, 37 insertions, 8 deletions
diff --git a/packaging/SGI/idb.pl b/packaging/SGI/idb.pl
index 4e32bdb526..c4a03c817b 100755
--- a/packaging/SGI/idb.pl
+++ b/packaging/SGI/idb.pl
@@ -10,7 +10,7 @@ chdir '../../';
chdir $curdir;
# We don't want the files listed in .cvsignore in the source tree
-open(IGNORES,"../../source/.cvsignore");
+open(IGNORES,"../../source/.cvsignore") || die "Unable to open .cvsignore file\n";
while (<IGNORES>) {
chop;
$ignores{$_}++;
@@ -18,7 +18,7 @@ while (<IGNORES>) {
close IGNORES;
# get the names of all the binary files to be installed
-open(MAKEFILE,"Makefile");
+open(MAKEFILE,"Makefile") || die "Unable to open Makefile\n";
@makefile = <MAKEFILE>;
@sprogs = grep(/^SPROGS /,@makefile);
@progs1 = grep(/^PROGS1 /,@makefile);
@@ -71,7 +71,7 @@ if (@codepage) {
# release
@allfiles = grep(!/^.*\.o$/ & !/^packaging\/SGI\/bins/ & !/^packaging\/SGI\/catman/ & !/^packaging\/SGI\/html/ & !/^packaging\/SGI\/codepage/, @allfiles);
-open(IDB,">samba.idb");
+open(IDB,">samba.idb") || die "Unable to open samba.idb for output\n";
print IDB "f 0644 root sys etc/config/samba packaging/SGI/samba.config samba.sw.base config(update)\n";
print IDB "f 0755 root sys etc/init.d/samba packaging/SGI/samba.rc samba.sw.base\n";
diff --git a/packaging/SGI/makefile.pl b/packaging/SGI/makefile.pl
index 544fb7e32d..bd34299ac7 100755
--- a/packaging/SGI/makefile.pl
+++ b/packaging/SGI/makefile.pl
@@ -12,8 +12,8 @@ else {
$OSver = $ARGV[0];
}
-open(MAKEIN,"../../source/Makefile");
-open(MAKEOUT,">Makefile");
+open(MAKEIN,"../../source/Makefile") || die "Unable to open source Makefile\n";
+open(MAKEOUT,">Makefile") || die "Unable to open Makefile for output\n";
while (<MAKEIN>) {
if (/^BASEDIR =/) {
print MAKEOUT "BASEDIR = /usr/samba\n";
diff --git a/packaging/SGI/mkrelease.sh b/packaging/SGI/mkrelease.sh
index fed7a5dc42..fcf247d9b4 100755
--- a/packaging/SGI/mkrelease.sh
+++ b/packaging/SGI/mkrelease.sh
@@ -8,21 +8,50 @@
#
echo Making manual pages
./mkman
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat making manual pages\n";
+ exit $errstat;
+fi
# build the sources
#
echo Making binaries
./makefile.pl $1 # create the Makefile for the specified OS ver
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating Makefile\n";
+ exit $errstat;
+fi
+
cd ../../source
# make -f ../packaging/SGI/Makefile clean
make -f ../packaging/SGI/Makefile all
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat building sources\n";
+ exit $errstat;
+fi
+
cd ../packaging/SGI
# generate the packages
#
echo Generating Inst Packages
./spec.pl # create the samba.spec file
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating samba.spec\n";
+ exit $errstat;
+fi
+
./idb.pl # create the samba.idb file
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat creating samba.idb\n";
+ exit $errstat;
+fi
+
if [ ! -d bins ]; then
mkdir bins
fi
diff --git a/packaging/SGI/spec.pl b/packaging/SGI/spec.pl
index 93aa8632d9..01453fd923 100755
--- a/packaging/SGI/spec.pl
+++ b/packaging/SGI/spec.pl
@@ -3,7 +3,7 @@
# This perl script generates the samba.spec file based on the version
# information in the version.h file in the source tree
-open (VER,'../../source/version.h');
+open (VER,'../../source/version.h') || die "Unable to open version.h\n";
($_ = <VER>) =~ s/"//g;
close (VER);
@foo = split(' ');
@@ -25,7 +25,7 @@ elsif (/p/) {
$vernum = sprintf " version %02d%02d%02d%02d%02d\n",$v1,$v2,$v3,$v4,$v5;
# generate the samba.spec file
-open(SPEC,">samba.spec");
+open(SPEC,">samba.spec") || die "Unable to open samba.spec for output\n";
print SPEC "product samba\n";
print SPEC $vername;
print SPEC " image sw\n";
@@ -71,6 +71,6 @@ print SPEC " exp samba.src.samba\n";
print SPEC " endsubsys\n";
print SPEC " endimage\n";
print SPEC "endproduct\n";
-close SPEC;
+close SPEC || die "Error on close of samba.spec\n";
print "\nsamba.spec file has been created\n\n";